<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project9</name>
  <program_name>project9</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_beat_calculator_filename_dropped</handler>
      <last_modification_time>Fri, 04 Feb 2000 01:03:53 GMT</last_modification_time>
    </signal>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkHBox</class>
      <name>hbox4</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkLabel</class>
	<name>label3</name>
	<signal>
	  <name>start_time_label</name>
	  <handler>gdam_buffer_editor_start_time_label</handler>
	  <last_modification_time>Fri, 04 Feb 2000 01:03:53 GMT</last_modification_time>
	</signal>
	<label>label3</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label5</name>
	<label>Beat Calculator</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label4</name>
	<signal>
	  <name>end_time_label</name>
	  <handler>gdam_buffer_editor_end_time_label</handler>
	  <last_modification_time>Fri, 04 Feb 2000 01:03:53 GMT</last_modification_time>
	</signal>
	<label>label4</label>
	<justify>GTK_JUSTIFY_RIGHT</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkFrame</class>
	<name>frame1</name>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_buffer_editor_viewport</handler>
	  <last_modification_time>Mon, 24 Jan 2000 02:58:52 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_beat_calculator_editor_viewport</handler>
	  <last_modification_time>Wed, 04 Oct 2000 22:25:45 GMT</last_modification_time>
	</signal>
	<label_xalign>0</label_xalign>
	<shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkVScrollbar</class>
	<name>vscrollbar1</name>
	<tooltip>zoom in/out</tooltip>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_log_zoom_adjustment</handler>
	  <last_modification_time>Mon, 24 Jan 2000 05:59:55 GMT</last_modification_time>
	</signal>
	<policy>GTK_UPDATE_CONTINUOUS</policy>
	<value>0</value>
	<lower>-5</lower>
	<upper>10</upper>
	<step>0.1</step>
	<page>1</page>
	<page_size>0.1</page_size>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox7</name>
      <signal>
	<name>whatever</name>
	<handler>gdam_skin_create_if_defined:!simple</handler>
	<last_modification_time>Mon, 04 Jun 2001 16:24:32 GMT</last_modification_time>
      </signal>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>2</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>Custom</class>
	<name>custom1_trackdrawingarea</name>
	<height>12</height>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_beat_calculator_track_display</handler>
	  <last_modification_time>Fri, 29 Sep 2000 15:54:27 GMT</last_modification_time>
	</signal>
	<creation_function>gtk_track_display_create_func</creation_function>
	<int1>0</int1>
	<int2>0</int2>
	<last_modification_time>Fri, 29 Sep 2000 15:57:35 GMT</last_modification_time>
	<child>
	  <padding>5</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkHScale</class>
      <name>hscale1</name>
      <can_focus>True</can_focus>
      <signal>
	<name>whatever</name>
	<handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_center_adjustment</handler>
	<last_modification_time>Mon, 24 Jan 2000 06:01:01 GMT</last_modification_time>
      </signal>
      <draw_value>True</draw_value>
      <value_pos>GTK_POS_TOP</value_pos>
      <digits>1</digits>
      <policy>GTK_UPDATE_CONTINUOUS</policy>
      <value>0</value>
      <lower>0</lower>
      <upper>30</upper>
      <step>0.1</step>
      <page>1</page>
      <page_size>0.1</page_size>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button4</name>
	<tooltip>open song selector</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_skin_launch_unique:GdamPacker:songsel.xml:GdamSongSelector</handler>
	  <last_modification_time>Fri, 04 Feb 2000 03:19:12 GMT</last_modification_time>
	</signal>
	<label>O</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button9</name>
	<tooltip>import file from song selector</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_beat_calculator_import_songsel_files</handler>
	  <last_modification_time>Thu, 17 Feb 2000 05:04:47 GMT</last_modification_time>
	</signal>
	<label>=&gt;</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkEntry</class>
	<name>entry1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_beat_calculator_filename</handler>
	  <last_modification_time>Wed, 02 Feb 2000 04:46:02 GMT</last_modification_time>
	</signal>
	<editable>False</editable>
	<text_visible>True</text_visible>
	<text_max_length>0</text_max_length>
	<text></text>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator2</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button2</name>
	<tooltip>write current beat information to song database</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_beat_calculator_set_in_database</handler>
	  <last_modification_time>Thu, 03 Feb 2000 16:36:21 GMT</last_modification_time>
	</signal>
	<label>Update Database</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox8</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkHBox</class>
	<name>hbox11</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button7</name>
	  <tooltip>tap out bpm estimate</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_beat_calculator_tap_button</handler>
	    <last_modification_time>Thu, 10 Feb 2000 08:16:15 GMT</last_modification_time>
	  </signal>
	  <label>tap</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button8</name>
	  <tooltip>reset bpm estimate</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_beat_calculator_reset_button</handler>
	    <last_modification_time>Thu, 10 Feb 2000 08:16:40 GMT</last_modification_time>
	  </signal>
	  <label>reset</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox2</name>
	  <tooltip>tapped bpm</tooltip>
	  <signal>
	    <name>drag_data_get</name>
	    <handler>gdam_beat_calculator_tapped_tempo_drag_source</handler>
	    <last_modification_time>Sun, 13 Aug 2000 18:25:02 GMT</last_modification_time>
	  </signal>
	  <child>
	    <padding>3</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label6</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_beat_calculator_preview_label</handler>
	      <last_modification_time>Thu, 10 Feb 2000 08:32:28 GMT</last_modification_time>
	    </signal>
	    <label>000.00</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>2</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>

	<widget>
	  <class>GtkToggleButton</class>
	  <name>togglebutton1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_skin_toggle_button:follow_tapped_tempo</handler>
	    <last_modification_time>Tue, 06 Nov 2001 08:14:16 GMT</last_modification_time>
	  </signal>
	  <label>follow tempo</label>
	  <active>False</active>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkToggleButton</class>
	  <name>togglebutton2</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_create_if_defined:unstable:gdam_skin_skin_toggle_button:follow_tapped_phase</handler>
	    <last_modification_time>Tue, 06 Nov 2001 08:14:16 GMT</last_modification_time>
	  </signal>
	  <label>follow phase</label>
	  <active>False</active>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton58</name>
	  <width>77</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_skin_create_if_defined:unstable:gdam_skin_skin_adjustment:tap_latency</handler>
	    <last_modification_time>Wed, 02 Feb 2000 04:49:07 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>-5.0</lower>
	  <upper>5.0</upper>
	  <step>0.01</step>
	  <page>0.1</page>
	  <page_size>1</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator14</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox10</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label16</name>
	  <label>bpm:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton4</name>
	  <width>78</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_beat_calculator_bpm_adjustment</handler>
	    <last_modification_time>Wed, 02 Feb 2000 04:48:50 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>90</value>
	  <lower>0</lower>
	  <upper>360</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label17</name>
	  <label>first beat:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton5</name>
	  <width>77</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_beat_calculator_start_beat_adjustment</handler>
	    <last_modification_time>Wed, 02 Feb 2000 04:49:07 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>10000</upper>
	  <step>0.01</step>
	  <page>0.1</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator4</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox9</name>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_skin_create_if_defined:unstable</handler>
	  <last_modification_time>Mon, 30 Jul 2001 22:44:56 GMT</last_modification_time>
	</signal>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label18</name>
	  <label>range: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton6</name>
	  <width>77</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_skin_create_if_defined:unstable:gdam_beat_calculator_range_start_adjustment</handler>
	    <last_modification_time>Thu, 27 Jul 2000 06:06:17 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>1e+06</upper>
	  <step>0.01</step>
	  <page>0.1</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label19</name>
	  <label>-</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton7</name>
	  <width>77</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_skin_create_if_defined:unstable:gdam_beat_calculator_range_end_adjustment</handler>
	    <last_modification_time>Thu, 27 Jul 2000 06:08:14 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>1e+06</upper>
	  <step>0.01</step>
	  <page>0.1</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVSeparator</class>
	  <name>vseparator13</name>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkEntry</class>
	<name>entry3</name>
	<tooltip>name of range / index point</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_beat_calculator_range_name</handler>
	  <last_modification_time>Tue, 22 Aug 2000 20:21:21 GMT</last_modification_time>
	</signal>
	<editable>True</editable>
	<text_visible>True</text_visible>
	<text_max_length>0</text_max_length>
	<text></text>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox5</name>
	<tooltip>index of current beatinfo range</tooltip>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_beat_calculator_cycle_beatinfo</handler>
	  <last_modification_time>Mon, 12 Jun 2000 21:57:52 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label20</name>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_beat_calculator_beatinfo_index_label</handler>
	    <last_modification_time>Mon, 12 Jun 2000 21:56:40 GMT</last_modification_time>
	  </signal>
	  <label>0</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label21</name>
	<label>of</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox7</name>
	<tooltip>index of  last range</tooltip>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_beat_calculator_extend_beatinfo</handler>
	  <last_modification_time>Tue, 22 Aug 2000 19:53:05 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>gdam-right-clicked</name>
	  <handler>gdam_beat_calculator_delete_beatinfo</handler>
	  <last_modification_time>Fri, 15 Sep 2000 15:24:46 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label23</name>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_beat_calculator_num_ranges_label</handler>
	    <last_modification_time>Tue, 22 Aug 2000 19:17:21 GMT</last_modification_time>
	  </signal>
	  <label>0</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>2</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkHSeparator</class>
      <name>hseparator1</name>
      <child>
	<padding>2</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox6</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button13</name>
	<tooltip>seek back by four beats</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>gdam-right-clicked</name>
	  <handler>gdam_beat_calculator_seek_by_beats:-32</handler>
	  <last_modification_time>Sat, 02 Jun 2001 23:48:13 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_beat_calculator_seek_by_beats:-4</handler>
	  <last_modification_time>Sat, 02 Jun 2001 23:48:33 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkPixmap</class>
	  <name>pixmap1</name>
	  <filename>default/nudgemb.xpm</filename>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <build_insensitive>False</build_insensitive>
	</widget>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button12</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_beat_calculator_stop_button</handler>
	  <last_modification_time>Wed, 09 Feb 2000 08:46:39 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkPixmap</class>
	  <name>pixmap3</name>
	  <filename>default/stop.xpm</filename>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <build_insensitive>False</build_insensitive>
	</widget>
      </widget>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox4</name>
	<tooltip>playing position</tooltip>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label11</name>
	  <width>45</width>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_skin_label:playing_position:%3.1f</handler>
	    <last_modification_time>Mon, 08 May 2000 23:20:44 GMT</last_modification_time>
	  </signal>
	  <label>000.0</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button11</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_beat_calculator_play_button</handler>
	  <last_modification_time>Wed, 09 Feb 2000 08:46:00 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkPixmap</class>
	  <name>pixmap4</name>
	  <filename>default/play.xpm</filename>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <build_insensitive>False</build_insensitive>
	</widget>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button14</name>
	<tooltip>seek forward by four beats</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>gdam-left-clicked</name>
	  <handler>gdam_beat_calculator_seek_by_beats:4</handler>
	  <last_modification_time>Sat, 02 Jun 2001 23:48:50 GMT</last_modification_time>
	</signal>
	<signal>
	  <name>gdam-right-clicked</name>
	  <handler>gdam_beat_calculator_seek_by_beats:32</handler>
	  <last_modification_time>Sat, 02 Jun 2001 23:49:02 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkPixmap</class>
	  <name>pixmap2</name>
	  <filename>default/nudgemf.xpm</filename>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <build_insensitive>False</build_insensitive>
	</widget>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator11</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_skin_create_if_defined:!simple</handler>
	  <last_modification_time>Mon, 04 Jun 2001 16:11:14 GMT</last_modification_time>
	</signal>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label7</name>
	  <label>Zoom:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>zoom_to_selection</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_zoom_to_selection</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Selection</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>zoom_to_sample</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_whole_sample</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Song</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVSeparator</class>
	  <name>vseparator8</name>
	  <child>
	    <padding>4</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label8</name>
	  <label>Clicktrack Volume:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>value_changed</name>
	    <handler>gdam_skin_adjustment:click_volume</handler>
	    <last_modification_time>Mon, 06 Mar 2000 20:58:38 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>1</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>1</value>
	  <lower>0</lower>
	  <upper>2</upper>
	  <step>0.1</step>
	  <page>0.1</page>
	  <page_size>0</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVSeparator</class>
	  <name>vseparator3</name>
	  <child>
	    <padding>6</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button3</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:beat_calculator</handler>
	    <last_modification_time>Thu, 03 Feb 2000 16:35:54 GMT</last_modification_time>
	  </signal>
	  <label>?</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button10</name>
	<tooltip>run mp3 through the 'pitchtrack' beat estimator</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_skin_create_if_defined:unstable:gdam_beat_calculator_beat_scan</handler>
	  <last_modification_time>Mon, 30 Jul 2001 22:35:39 GMT</last_modification_time>
	</signal>
	<label>run pitchtrack</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button15</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_skin_create_if_defined:simple:gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:beat_calculator</handler>
	  <last_modification_time>Mon, 04 Jun 2001 16:08:34 GMT</last_modification_time>
	</signal>
	<label>?</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
